Auto Multiple Choice - Bug # 434: Change shape Square to Circle

Status: Closed Priority: Immediate
Author: Yogesh Chaudhari Category:

Created: 11/16/2016 Assignee: Alexis Bienveniie
Updated: 02/08/2021 Due date:

Description: Is it possible to change the shape of options from Square to Circle?

Please find below attached sample.

History

11/16/2016 12:56 pm - Alexis Bienvenlie
- % Done changed from 0 to 100

- Status changed from New to Resolved

Yes it is. See @\AMCboxStyle@.

11/16/2016 01:43 pm - Yogesh Chaudhari
Alexis Bienvenle wrote:
> Yes it is. See @\AMCboxStyle@.

Thank you, How to do it in AMC-TXT syntax?

11/16/2016 01:49 pm - Alexis Bienvenlie

Use something like

<pre>

LaTeX-Preambule: \usepackage{tikz}
LaTeX-BeginDocument: \AMCboxStyle{shape=oval}

</pre>

11/17/2016 08:56 am - Yogesh Chaudhari
- File source.tex added

Alexis Bienveniie wrote:
> Use something like

> [..]

Thanks, | tried this in my source file but getting some error, please find below my attached source file.

11/17/2016 10:36 am - Alexis Bienveniie

Please copy-paste my code to avoid typos.
11/17/2016 10:50 am - Yogesh Chaudhari
Alexis Bienvenue wrote:

> Please copy-paste my code to avoid typos.

Thank you, you made my day. Its working..

01/29/2017 03:08 pm - Juan Carlos Rojas
Yogesh Chaudhari wrote:
> Is it possible to change the shape of options from Square to Circle?

> Please find below attached sample.

Hello, | want to change the shape too, can you show how do you do in AMC-Txt?

01/29/2017 04:05 pm - Alexis Bienveniie
Please have a look at comment 3 above.

01/31/2017 02:12 am - Juan Carlos Rojas
- File errorAMCprueba.png added

Alexis Bienvenlie wrote:

> Please have a look at comment 3 above.

Yes, | see it and copy-paste you code but, send me a error.

Can you please, take a look to the warning?

01/31/2017 07:26 am - Alexis Bienveniie

Please post your source file.

02/01/2017 02:51 am - Juan Carlos Rojas
- File archivo_copiaamctext added

Alexis Bienvenlie wrote:

> Please post your source file.

Hello, | am using your example

02/01/2017 07:15 am - Alexis Bienvenilie
You did not include the whole lines.

02/02/2017 01:33 am - Juan Carlos Rojas
Alexis Bienveniie wrote:

> You did not include the whole lines.

Hello, That it's all | have. | am searching an example but | dont have it.
What else is needed?

02/02/2017 07:29 am - Yogesh Chaudhari
- File newsource.tex added

Juan Carlos Rojas wrote:

> Alexis BienvenUle wrote:

> > You did not include the whole lines.

>

> Hello, That it's all | have. | am searching an example but | dont have it.
> What else is needed?

Check below attached newsource.txt file for reference.

05/17/2025

2/3



02/03/2017 02:17 am - Juan Carlos Rojas
- File erroragain.png added

Hello, thanks for your help, | used this file and always something goes wrong.

the translation of : Errores mientras se procesa el archivo fuente. Debe corregir el archivo fuente y volver a ejecutar la actualizacién de los

documentos. Vea en la parte de abajo el procesamiento de los registros 'Detalles de salida del comando.'

1 errores durante compilacién LaTeX (hoja de preguntas)
Undefined control sequence.

Errors while processing the source file. You must correct the source file and re-run the document update. See below for the processing of the

'‘Command Output Details' records.

1 errors during compilation LaTeX (question sheet)

02/03/2017 08:48 am - Alexis Bienveniie

Which AMC version is installed on your system? You need a recent version for this to work.

02/04/2017 03:05 am - Juan Carlos Rojas

Alexis Bienvenlie wrote:

> Which AMC version is installed on your system? You need a recent version for this to work.

Hello, | am using 1.2.1(svn:1403).
How can update by terminal?

02/08/2021 04:45 pm - Alexis Bienveniie
- Status changed from Resolved to Closed

Files

120-Question-Answer-Sheet_Page_1.jpg 408.4 kB 11/16/2016 Yogesh Chaudhari
source.tex 1 kB 11/17/2016 Yogesh Chaudhari
errorAMCprueba.png 38 kB 01/31/2017 Juan Carlos Rojas
archivo_copiaamctext 1 kB 02/01/2017 Juan Carlos Rojas
newsource.tex 1kB 02/02/2017 Yogesh Chaudhari
erroragain.png 249.1 kB 02/03/2017 Juan Carlos Rojas
